{
  "name": "angular2-seed-express",
  "version": "2.0.1",
  "description": "angular2-express-redis modified to support mongodb and added login feature.",
  "repository": {
    "url": "https://github.com/vyakymenko/angular2-seed-express.git"
  },
  "scripts": {
    "build.dev": "gulp build.dev --color --config-env dev",
    "build.dev.watch": "gulp build.dev.watch --color",
    "build.e2e": "gulp build.e2e --color",
    "build.prod": "gulp build.prod --color --config-env prod",
    "build.prod.exp": "gulp build.prod.exp --color --config-env prod",
    "build.test": "gulp build.test --color",
    "test.watch": "gulp test.watch --color",
    "generate.manifest": "gulp generate.manifest --color",
    "e2e": "protractor",
    "e2e.live": "protractor --elementExplorer",
    "gulp": "gulp",
    "karma": "karma",
    "karma.start": "karma start",
    "postinstall": "gulp check.versions && gulp build.bundle.rxjs && npm prune && gulp webdriver",
    "reinstall": "npm cache clean && npm install",
    "serve.coverage": "remap-istanbul -b src/ -i coverage/coverage-final.json -o coverage -t html && npm run gulp -- serve.coverage --color",
    "serve.dev": "gulp serve.dev --color --config-env dev",
    "serve.e2e": "gulp serve.e2e --color",
    "serve.prod": "gulp serve.prod --color --config-env prod",
    "start": "gulp serve.dev --color",
    "start.deving": "gulp start.deving --color",
    "tasks.list": "gulp --tasks-simple --color",
    "test": "gulp test --color",
    "e2e.ci": "gulp build.prod --color && gulp build.js.e2e --color && gulp e2e --color",
    "tests.all": "npm test && npm run e2e.ci",
    "webdriver-start": "webdriver-manager start",
    "webdriver-update": "webdriver-manager update"
  },
  "author": "Jenisa Tuñacao",
  "license": "MIT",
  "devDependencies": {
    "@angular/compiler-cli": "^0.6.1",
    "@angular/platform-server": "^2.0.0",
    "@angular/tsc-wrapped": "^0.3.0",
    "@types/async": "^2.0.31",
    "@types/browser-sync": "^0.0.32",
    "@types/connect-livereload": "^0.5.29",
    "@types/core-js": "^0.9.32",
    "@types/express": "^4.0.32",
    "@types/gulp": "^3.8.31",
    "@types/gulp-load-plugins": "^0.0.27",
    "@types/gulp-protractor": "^1.0.28",
    "@types/gulp-sass": "^0.0.28",
    "@types/gulp-shell": "^0.0.28",
    "@types/gulp-util": "^3.0.28",
    "@types/jasmine": "^2.2.33",
    "@types/node": "^6.0.38",
    "@types/protractor": "^1.5.18",
    "@types/rimraf": "^0.0.27",
    "@types/run-sequence": "^0.0.27",
    "@types/selenium-webdriver": "2.44.*",
    "@types/systemjs": "^0.19.30",
    "@types/yargs": "^0.0.30",
    "@types/zone.js": "^0.0.26",
    "@types/redis": "^0.12.1",
    "@types/body-parser": "^0.0.33",
    "@types/compression": "^0.0.33",
    "async": "^2.0.1",
    "autoprefixer": "^6.3.7",
    "browser-sync": "^2.13.0",
    "codelyzer": "1.0.0-beta.0",
    "colorguard": "^1.2.0",
    "compression": "^1.6.2",
    "connect": "^3.4.1",
    "connect-history-api-fallback": "^1.3.0",
    "connect-livereload": "^0.5.4",
    "cssnano": "^3.7.3",
    "deep-extend": "^0.4.1",
    "doiuse": "^2.4.1",
    "event-stream": "^3.3.3",
    "express": "~4.14.0",
    "express-history-api-fallback": "^2.0.0",
    "extend": "^3.0.0",
    "gulp": "^3.9.1",
    "gulp-cached": "^1.1.0",
    "gulp-clean-css": "^2.0.11",
    "gulp-concat": "^2.6.0",
    "gulp-concat-css": "^2.3.0",
    "gulp-filter": "^4.0.0",
    "gulp-inject": "^4.1.0",
    "gulp-inline-ng2-template": "^3.0.1",
    "gulp-load-plugins": "^1.2.4",
    "gulp-plumber": "~1.1.0",
    "gulp-postcss": "^6.1.1",
    "gulp-progeny": "^0.3.1",
    "gulp-protractor": "^2.4.0",
    "gulp-replace": "^0.5.4",
    "gulp-sass": "^2.3.2",
    "gulp-sass-lint": "^1.2.0",
    "gulp-sourcemaps": "2.0.0-alpha",
    "gulp-template": "^4.0.0",
    "gulp-tslint": "^6.0.1",
    "gulp-typescript": "^3.0.1",
    "gulp-uglify": "^2.0.0",
    "gulp-util": "^3.0.7",
    "gulp-watch": "^4.3.8",
    "is-ci": "^1.0.9",
    "isstream": "^0.1.2",
    "jasmine-core": "~2.4.1",
    "jasmine-spec-reporter": "^2.5.0",
    "karma": "~0.13.22",
    "karma-chrome-launcher": "~1.0.1",
    "karma-coverage": "^1.1.0",
    "karma-jasmine": "~1.0.2",
    "karma-mocha-reporter": "^2.0.4",
    "karma-remap-istanbul": "^0.2.1",
    "merge-stream": "^1.0.0",
    "open": "0.0.5",
    "postcss-reporter": "^1.4.1",
    "protractor": "^3.3.0",
    "remap-istanbul": "^0.6.4",
    "rimraf": "^2.5.3",
    "run-sequence": "^1.2.2",
    "semver": "^5.3.0",
    "serve-static": "^1.11.1",
    "slash": "~1.0.0",
    "stylelint": "^7.0.2",
    "stylelint-config-standard": "^11.0.0",
    "systemjs-builder": "0.15.31",
    "tildify": "^1.2.0",
    "traceur": "^0.0.111",
    "ts-node": "^1.0.0",
    "tslint": "^3.13.0",
    "tslint-stylish": "2.1.0-beta",
    "typescript": "^2.0.2",
    "walk": "^2.3.9",
    "yargs": "^4.8.0"
  },
  "dependencies": {
    "@angular/common": "^2.0.0",
    "@angular/compiler": "^2.0.0",
    "@angular/core": "^2.0.0",
    "@angular/forms": "^2.0.0",
    "@angular/http": "^2.0.0",
    "@angular/platform-browser": "^2.0.0",
    "@angular/platform-browser-dynamic": "^2.0.0",
    "@angular/router": "^3.0.0",
    "@types/cookie-parser": "^1.3.30",
    "@types/express-jwt": "0.0.33",
    "@types/jsonwebtoken": "^7.1.33",
    "@types/mongodb": "^2.1.33",
    "@types/mongoose": "^4.5.38",
    "@types/mongoose-promise": "^4.5.4",
    "@types/mpromise": "^0.5.29",
    "@types/passport": "^0.2.32",
    "@types/passport-local": "^1.0.29",
    "body-parser": "^1.15.2",
    "compression": "^1.6.2",
    "cookie-parser": "^1.4.3",
    "core-js": "^2.4.0",
    "es-module-loader": "^1.0.0",
    "express-jwt": "^5.1.0",
    "jsonwebtoken": "^7.1.9",
    "mongoose": "^4.6.3",
    "passport": "^0.3.2",
    "passport-local": "^1.0.0",
    "passport-local-mongoose": "^4.0.0",
    "redis": "^2.6.2",
    "reflect-metadata": "^0.1.8",
    "rxjs": "5.0.0-beta.12",
    "systemjs": "0.19.38",
    "zone.js": "0.6.23"
  }
}
